heartbleedbug

FrontStream confirms brands (Artez Interactive, FirstGiving, FrontStream, GiftWorks and TRUiST) were not vulnerable to the Heartbleed OpenSSL bug.

Recently, the development community was made aware of a vulnerability in the OpenSSL software library that has the potential to put a significant number of the internet’s websites at risk.

Dubbed “Heartbleed”, this bug allows information to be accessed that would normally be protected by some versions of OpenSSL.

FrontStream Payments can confirm that our servers and products were not vulnerable to Heartbleed and your secure client data was not affected. If you have any further questions about this issue, please contact your Account Manager or the support team in your location.

The Heartbleed bug is considered a significant security threat. For more information about how to protect yourself, see The Heartbleed Hit List: The Passwords You Need To Change Right Now for a list of potentially affected websites and recommendations for further action.

Get the latest trends and topics delivered to your inbox!

Subscribe to FrontStream’s Blog

Share On Facebook
Share On Twitter
Share On Google Plus
Share On Linkedin
Frank-Desk-Webinars

Subscribe To OurBlog

Join our mailing list to receive the latest news and updates from our team.

You have Successfully Subscribed!